#
# spec file for package python-flup
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-flup
Version:        1.0.3.dev20161029
Release:        4.1
Summary:        Random assortment of WSGI servers
License:        BSD-2-Clause
URL:            https://www.saddi.com/software/flup/
Source:         https://files.pythonhosted.org/packages/source/f/flup/flup-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# Documentation build requirements:
BuildRequires:  python3-Sphinx
BuildArch:      noarch
%python_subpackages

%description
A random collection of WSGI modules for Python

%package -n %{name}-doc
Summary:        Documentation for %{name}
Group:          Documentation/Other
Provides:       %{python_module flup-doc = %{version}}

%description -n %{name}-doc
This package contains HTML documentation for %{name}.

%prep
%setup -q -n flup-%{version}

%build
%python_build
python3 -m sphinx docs/source docs/build/html && rm -r docs/build/html/.{buildinfo,doctrees}

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%{python_sitelib}/flup
%{python_sitelib}/flup-%{version}*info

%files -n %{name}-doc
%doc docs/build/html/

%changelog
* Fri Jul 28 2023 Bernhard Wiedemann <bwiedemann@suse.com>
- Drop sphinx doctrees for reproducible builds
* Tue May 23 2023 Steve Kowalik <steven.kowalik@suse.com>
- Run spec-cleaner.
- Switch from setup.py build_sphinx to python3 -m sphinx.
- Don't use greedy wildcards in %%files.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed May 17 2017 hpj@urpla.net
- update to 1.0.3.dev20161029
  - no changelog available
- implement full singlespec build
- build separate doc package
* Wed Apr 19 2017 toddrme2178@gmail.com
- Source url must be https.
* Tue Apr 18 2017 toddrme2178@gmail.com
- Add python2-provides for compatibility with singlespec macros.
- Spec file cleanups.
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Dec  8 2011 coolo@suse.com
- fix license to be in spdx.org format
* Wed Aug 31 2011 saschpe@suse.de
- Update to 1.0.3.dev-20110405:
  * Re-seed random module after each fork.
  * Add an indication as to which header fails assertion when
    passing in non-string header names and/or values.
- Ran py2pack to cleanup spec file
  * Removed old changelog entries
* Tue Sep 29 2009 alexandre@exatati.com.br
- Update to 1.0.2;
- Building as noarch for openSUSE >= 11.2.
- Minor changes in spec file to make it
  more readable.
